# Class NamingEntry

java.lang.Object
org.apache.naming.NamingEntry

public class NamingEntry extends Object
Represents a binding in a NamingContext.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONTEXT`
`static final int`
`ENTRY`
`static final int`
`LINK_REF`
`final String`
`name`
`static final int`
`REFERENCE`
`int`
`type`
The type instance variable is used to avoid using RTTI when doing lookups.
`Object`
`value`

## Constructor Summary

Constructors
Constructor
Description
`NamingEntry(String name, Object value, int type)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENTRY

public static final int ENTRY

See Also:
  - Constant Field Values

### LINK_REF

public static final int LINK_REF

See Also:
  - Constant Field Values

### REFERENCE

public static final int REFERENCE

See Also:
  - Constant Field Values

### CONTEXT

public static final int CONTEXT

See Also:
  - Constant Field Values

### type

public int type
The type instance variable is used to avoid using RTTI when doing lookups.

### name

public final String name

### value

public Object value

## Constructor Details

### NamingEntry

public NamingEntry(String name, Object value, int type)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`